#pragma once
#include <HwmAgentDef.h>

// demoAddHwmConfAttendeeDlg 对话框

class demoAddHwmConfAttendeeDlg : public CDialogEx
{
	DECLARE_DYNAMIC(demoAddHwmConfAttendeeDlg)

public:
	demoAddHwmConfAttendeeDlg(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~demoAddHwmConfAttendeeDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_ADD_HWM_CONF_ATTENDEE_DIALOG };
#endif
    hwmsdkagent::HwmConfAttendee GetAttendeeInfo() const { return attendeeInfo; }

protected:
    virtual void OnOK() override;
    virtual void OnCancel() override;

    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持  
    virtual BOOL OnInitDialog();

protected:
    CEdit m_editName;
    CEdit m_editAliasCN;
    CEdit m_editAliasEN;
    CEdit m_editNumber;
    CEdit m_editAccountId;
    CEdit m_editThirdUserId;
    CEdit m_editOrgId;
    CComboBox m_attendeeType;
    CComboBox m_autoInviteType;

private:
    hwmsdkagent::HwmConfAttendee attendeeInfo{};
};
